

<?php

session_start();

if($_SESSION["sistema"]!= "1"){ header("location: ../../index.php"); exit();}

require_once ("../../config/Cado.php");



require_once ("../contenido/contenido.php");

$oContenido = new cContenido();

$ids=$_SESSION['usuario_id'];

?>





<div class="content-wrapper">

<!-- Content Header (Page header) -->

<section class="content-header">

  <h1>

    Modificar mis datos

    <small>modulo</small>

  </h1>

  <ol class="breadcrumb">

    <li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>

    <li><a href="#">Operaciones</a></li>

    <li class="active">Modificar mis datos</li>

  </ol>

</section>



<section class="content" style="min-height:0px;padding-bottom:0px;margin-bottom:-30px;">

	<div class="row">

	    <div class="col-xs-12">

		    <div class="box">

		        <div class="box-header">

				

		          <button id="btn_editar_datos"  onClick="usuario_form('editar',' <?php echo $ids ?>')" class="btn btn-primary">Modificar Datos</button>

		          <button id="btn_editar_pas" onClick="editar_usuario_pass('<?php echo $ids ?>')" class="btn btn-primary">Cambiar Contraseña</button>

		          <button id="btn_editar_use" onClick="editar_usuario_user('<?php echo $ids ?>') " class="btn btn-primary">Cambiar Nombre de Usuario</button>

		          <button id="btn_actualizar" class="btn btn-primary">Actualizar</button>



				  <div id="msj_usuario" class="alert alert-info pull-right" style="padding:2px;margin-bottom:0px;display:none"></div>

		        </div>

				

				<div class="box-body">

				

				<div id="div_usuario_tabla"></div>



				<div id="div_usuario_form"></div>



				</div>

				

				

		    </div>

		</div>

	</div>

</section>



</div>





<script type="text/javascript">



$(function() {

	

	$('#btn_actualizar').click(function() {

		$("#content").load("../usuariogestion/usuariogestion_vista.php");

	});

	

	usuario_tabla();

	

});



function usuario_form(act,idf){

	$.ajax({

		type: "POST",

		url: "../usuariogestion/usuariogestion_form.php",

		async:true,

		dataType: "html",                      

		data: ({

			action: act,

			usu_id: idf

		}),

		beforeSend: function() {

			$('#msj_usuario').hide();

			$('#div_usuario_tabla').hide();

			$('#div_usuario_form').show();

			$('#div_usuario_form').html('Cargando...');

        },

		success: function(html){

			$('#div_usuario_form').html(html);

		}		

	});

}



function editar_usuario_pass(id){		

	$.ajax({

		type: "POST",

		url: "../usuariogestion/usuariogestion_pass_form.php",

		async:true,

		dataType: "html",                      

		data: ({					

			id:		id

		}),

		beforeSend: function() {

			$('#div_usuario_tabla').hide();

			$( "#div_usuario_form" ).show();

			$('#div_usuario_form').html('Cargando...');

        },

		success: function(html){				

			$('#div_usuario_form').html(html);

		}

	});

}





function usuario_tabla(){	



	$.ajax({

		type: "POST",

		url: "../usuariogestion/usuariogestion_tabla.php",

		async:true,

		dataType: "html",   

		data: '',                  

		beforeSend: function() {

			$('#div_usuario_tabla').addClass("ui-state-disabled");

        },

		success: function(html){

			$('#div_usuario_tabla').html(html);

		},

		complete: function(){			

			$('#div_usuario_tabla').removeClass("ui-state-disabled");

		}

	});       



	

	}



	

	

function editar_usuario_user(id){		

	$.ajax({

		type: "POST",

		url: "../usuariogestion/usuariogestion_user_form.php",

		async:true,

		dataType: "html",                      

		data: ({

			action: 'editar',					

			id:		id		

		}),

		beforeSend: function() {

			$('#div_usuario_tabla').hide();

			$( "#div_usuario_form" ).show();

			$('#div_usuario_form').html('Cargando...');

        },

		success: function(html){				

			$('#div_usuario_form').html(html);

		}

	});

}



</script>



